For the complete documentation index, see llms.txt. This page is also available as Markdown.

Wallets

Get paginated list of wallets

get
Query parameters
pagenumberOptional

Page number (default: 1)

Example: 1
pageSizenumberOptional

Number of items per page (default: 10)

Example: 10
sortstringOptional

Sort field and order. Use - prefix for descending. Example: -createdAt, createdAt

Example: -createdAt
selectstringOptional

Fields to select (comma separated). Use + prefix to include hidden fields. Example: name,status,+holders

populatestringOptional

Relations to populate (comma separated). Example: wallet,token

Responses
200

Get wallets

application/json
codestringRequiredExample: 1
messagestringRequiredExample: common.success
dataobjectRequired
get/api/wallets
GET /api/wallets HTTP/1.1
Host: api.bound.exchange
Accept: */*
200

Get wallets

{
  "code": "1",
  "message": "common.success",
  "data": {},
  "metaData": {
    "totalItems": 1,
    "currentPage": 1,
    "pageSize": 1,
    "totalPages": 1
  }
}

Add a wallet and link it to the authenticated account

post
Body
chainstring · enumRequired

Blockchain network of the wallet

Possible values:
providerstringRequired

Wallet provider / software used

publicKeystringRequired

Public key of the wallet

messagestringRequired

Message (timestamp in ms) signed by the wallet

signaturestringRequired

Signature of the message produced by the wallet

userAddressstringOptional

Wallet address (required for BTC; derived from signature for EVM/SOL)

isDefaultbooleanOptional

Mark this wallet as the default for its chain

Responses
201

The wallet has been successfully added

application/json
codestringRequiredExample: 1
messagestringRequiredExample: common.success
dataobjectRequired
post/api/wallets
POST /api/wallets HTTP/1.1
Host: api.bound.exchange
Content-Type: application/json
Accept: */*
Content-Length: 130

{
  "chain": "bitcoin",
  "provider": "text",
  "publicKey": "text",
  "message": "text",
  "signature": "text",
  "userAddress": "text",
  "isDefault": true
}
201

The wallet has been successfully added

{
  "code": "1",
  "message": "common.success",
  "data": {},
  "metaData": {
    "totalItems": 1,
    "currentPage": 1,
    "pageSize": 1,
    "totalPages": 1
  }
}
get
Responses
200

Get wallet details

application/json
codestringRequiredExample: 1
messagestringRequiredExample: common.success
dataobjectRequired
get/api/wallets/details
GET /api/wallets/details HTTP/1.1
Host: api.bound.exchange
Accept: */*
200

Get wallet details

{
  "code": "1",
  "message": "common.success",
  "data": {},
  "metaData": {
    "totalItems": 1,
    "currentPage": 1,
    "pageSize": 1,
    "totalPages": 1
  }
}

Check wallet existed

get
Path parameters
userAddressstringRequired
Responses
200

The wallet has been successfully checked

application/json
codestringRequiredExample: 1
messagestringRequiredExample: common.success
dataobjectRequired
get/api/wallets/details/{userAddress}
GET /api/wallets/details/{userAddress} HTTP/1.1
Host: api.bound.exchange
Accept: */*
200

The wallet has been successfully checked

{
  "code": "1",
  "message": "common.success",
  "data": {},
  "metaData": {
    "totalItems": 1,
    "currentPage": 1,
    "pageSize": 1,
    "totalPages": 1
  }
}

Update a wallet by ID

patch
Path parameters
idstringRequired
Body
isDefaultbooleanOptional
Responses
200

The wallet has been successfully updated

application/json
codestringRequiredExample: 1
messagestringRequiredExample: common.success
dataobjectRequired
patch/api/wallets/{id}
PATCH /api/wallets/{id} HTTP/1.1
Host: api.bound.exchange
Content-Type: application/json
Accept: */*
Content-Length: 18

{
  "isDefault": true
}
200

The wallet has been successfully updated

{
  "code": "1",
  "message": "common.success",
  "data": {},
  "metaData": {
    "totalItems": 1,
    "currentPage": 1,
    "pageSize": 1,
    "totalPages": 1
  }
}
put
Path parameters
idstringRequired
Responses
200

The wallet has been successfully unlinked

application/json
codestringRequiredExample: 1
messagestringRequiredExample: common.success
dataobjectRequired
put/api/wallets/{id}/unlink
PUT /api/wallets/{id}/unlink HTTP/1.1
Host: api.bound.exchange
Accept: */*
200

The wallet has been successfully unlinked

{
  "code": "1",
  "message": "common.success",
  "data": {},
  "metaData": {
    "totalItems": 1,
    "currentPage": 1,
    "pageSize": 1,
    "totalPages": 1
  }
}

Last updated